Bug 846475 - Segfault with freeradius-perl threading
Segfault with freeradius-perl threading
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: freeradius2 (Show other bugs)
5.9
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: John Dennis
Patrik Kis
:
Depends On: 810605
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-07 17:13 EDT by John Dennis
Modified: 2013-01-08 00:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 810605
Environment:
Last Closed: 2013-01-08 00:10:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 RHEL Product and Program Management 2012-08-07 17:47:16 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 5 Patrik Kis 2012-08-09 04:42:35 EDT
qe_test_coverage -

It cannot be reproduced; will be verified sanity only.
Comment 6 Patrik Kis 2012-08-24 06:33:35 EDT
Verified: SaniyuOnly

Because it is not possible to reproduce the crash using the given reproducer, only the applied patch was verified and checked that freeradius2 doesn't crash with the reported scenario.
For more detail about the test see https://bugzilla.redhat.com/show_bug.cgi?id=810605#c7 .

The package has also passed all sanity&regression testing.
Comment 7 Patrik Kis 2012-09-27 07:06:47 EDT
(In reply to comment #6)
> Verified: SaniyuOnly
> 
> Because it is not possible to reproduce the crash using the given
> reproducer, only the applied patch was verified and checked that freeradius2
> doesn't crash with the reported scenario.
> For more detail about the test see
> https://bugzilla.redhat.com/show_bug.cgi?id=810605#c7 .
> 
> The package has also passed all sanity&regression testing.

The same applies for the new freradius2 build (freeradius2-2.1.12-5.el5) as in comment above.
Comment 9 errata-xmlrpc 2013-01-08 00:10:49 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0134.html

Note You need to log in before you can comment on or make changes to this bug.